Explore
Use the Explore endpoint to programmatically access your Violet data.
The explore endpoint lets you programmatically query your Violet data, using the same filters and columns available in the Data Explorer.
Generate a query
The API payloads are described below, or you can generate a query automatically using the Data Explorer.
Head to Data Explorer to generate a query. You can use Quick Views, a saved exploration, or filters to configure the query for the data you're interested in.

Next, click the
Copy API payloadbutton in the toolbar.

The API payload for the query will copy to your clipboard - you can then paste this directly into a request.
Why POST?
The Explore endpoint supports a rich set of data filtering options, so Violet uses a POST endpoint for the query. This allows complex queries to be sent in a body payload instead of directly in the URL.
Search keyword to filter entities
part numberArray of group keys (strings or objects)
Elasticsearch sort configuration
Page number (1-indexed)
1Number of items per page
50Whether to include parameters in the response
falseWhether to include sub-entities in the response
falseWhether to include entity schemas in the response
falseSearch for entities
POST /api/explore HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 410
{
"keyword": "part number",
"rowGroupCols": [
{
"id": "text",
"displayName": "text",
"field": "text"
}
],
"groupKeys": [],
"filterModel": {
"ANY_ADDITIONAL_PROPERTY": {
"filterType": "text",
"type": "text",
"operator": "AND",
"filter": "text",
"filterTo": "text",
"dateFrom": "text",
"dateTo": "text",
"values": [
"text"
],
"conditions": []
}
},
"sort": {},
"page": 1,
"limit": 50,
"includeParameters": false,
"includeSubEntities": false,
"includeSchemas": false
}Search for entities
{
"items": [
{
"id": "text",
"entityType": "text",
"key": "text",
"name": "text",
"externalId": "text",
"tenantId": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"externalLastModifiedAt": "2026-01-01T00:00:00.000Z",
"externalCreatedAt": "2026-01-01T00:00:00.000Z",
"violetId": "text",
"violetCoreEntity": "Account",
"externalUrl": "text",
"description": "text",
"s3FileUrl": "text",
"isReference": true,
"isSubEntity": true,
"isRevision": true,
"isContainer": true,
"isCustomEntity": true,
"namedEntityProperties": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"namedEntityId": "123e4567-e89b-12d3-a456-426614174000",
"violetEntityId": "123e4567-e89b-12d3-a456-426614174000",
"propertyName": "text",
"propertyIndex": 1,
"namedEntity": "[Circular Reference]"
}
],
"application": {
"id": "text",
"name": "text",
"imageUrl": "text"
},
"applicationId": "text",
"tags": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"color": "text",
"taggingsCount": 1,
"taggedEntityIds": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
],
"connectionIds": [
"text"
],
"programIds": [
"text"
],
"integrationIds": [
"text"
],
"integrationNames": [
"text"
],
"externalEntitySchemaIds": [
"text"
],
"internalEntitySchemaIds": [
"text"
],
"violetScriptId": "text",
"parameterId": "text",
"assignee": "text",
"cost": 1,
"dueDate": "text",
"mass": 1,
"part": "text",
"status": "text",
"import": true,
"properties": {},
"categories": {},
"entityDesignations": [
"ASSEMBLY"
],
"partOrAssemblyDescriptor": "ASSEMBLY"
}
],
"meta": {
"itemCount": 1,
"totalItems": 1,
"itemsPerPage": 1,
"totalPages": 1,
"currentPage": 1
},
"links": {
"first": "text",
"previous": "text",
"next": "text",
"last": "text"
}
}GET /api/explore/column/{column}?size=1 HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
"text"
]Last updated
Was this helpful?

